# Module makefile for Thread::Cancel (using ExtUtils::MakeMaker)

require 5.006;

use strict;
use warnings;

use Config;
BEGIN {
    if (! $Config{useithreads} || $] < 5.008) {
        die("ERROR:  This Perl not built to support threads\n");
    }
}

use ExtUtils::MakeMaker;

# Construct make file
WriteMakefile(
    'NAME'          => 'Thread::Cancel',
    'AUTHOR'        => 'Jerry D. Hedden <jdhedden AT cpan DOT org>',
    'VERSION_FROM'  => 'lib/Thread/Cancel.pm',
    'ABSTRACT_FROM' => 'lib/Thread/Cancel.pm',
    'PREREQ_PM'     => {
        'strict'        => 0,
        'warnings'      => 0,
        'threads'       => 1.39,

        'Test::More'    => 0.50,
    },

    ((ExtUtils::MakeMaker->VERSION() lt '6.25') ?
        ('PL_FILES' => { })            : ()),
    ((ExtUtils::MakeMaker->VERSION() gt '6.30') ?
        ('LICENSE'  => 'perl')         : ()),
);

# EOF
